function DATAinsert = cellMakerTLH(IDcentralina,DTcatena,NodeNum,cTLH,ListaDate,...
    ErrTiltLinkH,ARRAYdateTLH,Y_TLH,Z_TLH,Xlocal_TLH,Ylocal_TLH,Zlocal_TLH,...
    AlfaX_TLH,AlfaY_TLH,TempDef_TLH,Speed_TLH,Speed_local_TLH,...
    Acceleration_TLH,Acceleration_local_TLH)

TempDef_TLH = TempDef_TLH';
l = ListaDate;
DATAinsert = cell(l,18);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateTLH(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateTLH(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Y_TLH(cTLH,ii);
    DATAinsert{ii,7} = Z_TLH(cTLH,ii);
    DATAinsert{ii,18} = Xlocal_TLH(cTLH,ii);
    DATAinsert{ii,8} = Ylocal_TLH(cTLH,ii);
    DATAinsert{ii,9} = Zlocal_TLH(cTLH,ii);
    DATAinsert{ii,10} = TempDef_TLH(cTLH,ii);
    DATAinsert{ii,11} = Speed_TLH(cTLH,ii);
    DATAinsert{ii,12} = Speed_local_TLH(cTLH,ii);
    DATAinsert{ii,13} = Acceleration_TLH(cTLH,ii);
    DATAinsert{ii,14} = Acceleration_local_TLH(cTLH,ii);
    DATAinsert{ii,15} = ErrTiltLinkH(cTLH,ii);
    DATAinsert{ii,16} = AlfaX_TLH(cTLH,ii);
    DATAinsert{ii,17} = AlfaY_TLH(cTLH,ii);
end

end